package com.caimei365.user.service;

import com.caimei365.user.model.ResponseJson;
import com.caimei365.user.model.dto.HeHeUserDto;
import com.caimei365.user.model.vo.HeHeUserVo;
import org.springframework.http.HttpHeaders;

/**
 * Description
 *
 * @author : plf
 * @date : 2021/4/21
 */
public interface HeHeService {
    /**
     * 微信授权登录
     *
     * @param code    微信code
     * @param headers 请求头
     * @return
     */
    ResponseJson<HeHeUserVo> authorization(String code, HttpHeaders headers);

    /**
     * 手机号验证码登录
     *
     * @param heHeUserDto
     * @return
     */
    ResponseJson<HeHeUserVo> mobileLogin(HeHeUserDto heHeUserDto);

    /**
     * 发送手机验证码
     *
     * @param mobile
     * @return
     */
    ResponseJson<String> sendVerificationCode(String mobile);
}
